function love.load()
        math.randomseed(os.time())
        math.random(); math.random(); math.random()
        plane = {}
        plane.x = 400
        plane.y = 300
        plane.r = 64
        player = {}
        player.x = 400
        player.y = 300
        player.r = 32
        vel = {}
        vel.x = 100
        vel.y = 100
        velp = {}
        velp.x = 50
        sign = math.random(2)
        if sign == 2 then
                velp.x = -velp.x
        end
        velp.y = 50
        sign = math.random(2)
        if sign == 2 then
                velp.y = -velp.y
        end
        dead = false
        ttime = 0
        time = 0
        font = love.graphics.newFont(48)
        font2 = love.graphics.newFont(24)
        start = true
        title = love.graphics.newText(font, "Pursuit")
        message = love.graphics.newText(font2, "Try to stay on the green circle.")
        message2 = love.graphics.newText(font2, "Press Space to start.")
        music = love.audio.newSource("sounds/music.mp3")
        music:setLooping(true)
        music:play()
        ismusic = true
        resized = false
end

function love.update(dt)
    resized = false
    if not dead and not start then
        time = time + dt
        ttime = ttime + dt
        if love.keyboard.isDown("right") then
                player.x = player.x + vel.x * dt
        end
        if love.keyboard.isDown("left") then
                player.x = player.x - vel.x * dt
        end
        if love.keyboard.isDown("up") then
                player.y = player.y - vel.y * dt
        end
        if love.keyboard.isDown("down") then
                player.y = player.y + vel.y * dt
        end
        if plane.x > 736 or plane.x < 64 then
                velp.x = -velp.x
        end
        if plane.y > 536 or plane.y < 64 then
                velp.y = -velp.y
        end
        if (plane.y - player.y)^2 + (plane.x - player.x)^2 >= (plane.r + player.r)^2 then
                dead = true
        end
        if math.floor(ttime) > 0 and math.floor(ttime)%10 == 0 then
                if velp.x > 0 then
                    velp.x = velp.x + 0.25
                else
                    velp.x = velp.x - 0.25
                end
                if velp.y > 0 then
                    velp.y = velp.y + 0.25
                else
                    velp.y = velp.y - 0.25
                end
        end
        if math.floor(ttime) > 0 and math.floor(ttime)%10 == 0 then
                if vel.x > 0 then
                    vel.x = vel.x + 0.25
                else
                    vel.x = vel.x - 0.25
                end
                if vel.y > 0 then
                    vel.y = vel.y + 0.25
                else
                    vel.y = vel.y - 0.25
                end
        end
        if time > 10 then
                plane.r = plane.r - 2
                time = 0
        end
        plane.x = plane.x + velp.x * dt
        plane.y = plane.y + velp.y * dt
    end
end

function love.draw()
        if not start then
            love.graphics.setFont(font2)
            love.graphics.setColor(255, 255, 255)
            if ismusic then
                love.graphics.print("(M)usic: on ", 30, 30)
            else
                love.graphics.print("(M)usic: off", 30, 30)
            end
            love.graphics.setColor(0, 255, 0)
            love.graphics.circle("fill", plane.x, plane.y, plane.r)
            if not dead then
                love.graphics.setColor(255, 0, 0)
            else
                love.graphics.setColor(255, 255, 0)
            end
            love.graphics.circle("fill", player.x, player.y, player.r)
            love.graphics.setColor(255, 255, 255)
            love.graphics.setFont(font)
            love.graphics.print(math.floor(ttime), 680, 30)
        else
            love.graphics.setColor(255, 0, 0)
            love.graphics.draw(title, 400 - title:getWidth() / 2, 300 - title:getHeight() / 2)
            love.graphics.setColor(255, 255, 255)
            love.graphics.draw(message, 400 - message:getWidth() / 2, 360)
            love.graphics.draw(message2, 400 - message2:getWidth() / 2, 390)
        end
end

function love.keypressed(key)
        if key == "escape" and start then
                love.event.quit()
        end
        if key == "escape" and not start then
                ttime = 0
                start = true
                dead = false
                plane.x = 400
                plane.y = 300
                player.x = 400
                player.y = 300
        end
        if key == "space" and (dead or start) then
                ttime = 0
                dead = false
                start = false
                plane.x = 400
                plane.y = 300
                player.x = 400
                player.y = 300
                velp.x = 50
                sign = math.random(2)
                if sign == 2 then
                    velp.x = -velp.x
                end
                velp.y = 50
                sign = math.random(2)
                if sign == 2 then
                    velp.y = -velp.y
                end
        end
        if key == "m" then
                ismusic = not ismusic
                if ismusic then
                        music:play()
                else
                        music:stop()
                end
        end
end
